%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           rapid-photo-downloader
Version:        0.0.10
Release:        2%{?dist}
Summary:        Images downloader for external devices

Group:          Applications/Archiving
License:        GPLv2+
URL:            http://damonlynch.net/rapid/
Source0:        http://launchpad.net/rapid/0.1.0/%{version}/+download/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python
BuildRequires:  python-setuptools-devel

BuildRequires:  gettext
BuildRequires:  desktop-file-utils

Requires:       hicolor-icon-theme
Requires:       pyexiv2
Requires:       gtk2
Requires:       pygtk2
Requires:       gnome-python2-gconf
Requires:       gnome-python2
Requires:       notify-python


%description
Rapid Photo Downloader is written by a photographer for professional
and amateur photographers. It can download photos from multiple memory
cards and Portable Storage Devices simultaneously. It provides a variety
of options for sub-folder creation, image renaming and backup.
It does not download images directly from a camera unless the camera
is recognized as an external drive.


%prep
%setup -q
#Remove shebang
for Files in rapid/media.py rapid/common.py rapid/misc.py \
  rapid/renamesubfolderprefstest.py rapid/renamesubfolderprefs.py \
  rapid/metadata.py rapid/rapid.py rapid/tableplusminus.py; do
  %{__sed} -i.orig -e 1d ${Files}
  touch -r ${Files}.orig ${Files}
  %{__rm} ${Files}.orig
done


%build
python ./setup.py build


%install
rm -rf %{buildroot}
python ./setup.py install -O1 --skip-build --root=%{buildroot}
desktop-file-install                                        \
    --dir=%{buildroot}%{_datadir}/applications              \
    %{buildroot}%{_datadir}/applications/%{name}.desktop
%find_lang %{name}


%clean
rm -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc rapid/AUTHORS rapid/ChangeLog rapid/COPYING README rapid/TODO
%{_bindir}/%{name}
%{python_sitelib}/rapid/
%{python_sitelib}/*.egg-info
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*x*/apps/%{name}.png
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/pixmaps/%{name}.xpm


%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jun 14 2009 Fabian Affolter <fabian@bernewireless.net> - 0.0.10-1
- Added translations
- Changed source url
- Updated to new upstream version

* Sat Apr 25 2009 Fabian Affolter <fabian@bernewireless.net> - 0.0.8-3.b7
- Added update of the icon cache
- Fixed license

* Sat Apr 25 2009 Fabian Affolter <fabian@bernewireless.net> - 0.0.8-2.b7
- Added notify-python as a requirement

* Sun Apr 12 2009 Fabian Affolter <fabian@bernewireless.net> - 0.0.8-1.b7
- Updated to new upstream version b7

* Wed Apr 8 2009 Fabian Affolter <fabian@bernewireless.net> - 0.0.8-1.b6
- Initial package for Fedora
